summaryrefslogtreecommitdiff
path: root/testdata/beku_test.git/hooks/commit-msg.sample
diff options
context:
space:
mode:
authorShulhan <ms@kilabit.info>2019-03-28 06:16:35 +0700
committerShulhan <ms@kilabit.info>2019-03-30 03:33:31 +0700
commitc6b0a4337671caa5cd5449ec9dca859c88b62f61 (patch)
tree10d9f2bd8dfb3efbacd312fc4f18be7fad9b4570 /testdata/beku_test.git/hooks/commit-msg.sample
parentdb1d5cb19cd973708f6ff3e9e1cb37146866201b (diff)
downloadbeku-c6b0a4337671caa5cd5449ec9dca859c88b62f61.tar.xz
testdata: fix bare git repository and test files
Include all files from "git clone --bare" in testdata/beku_test.git.
Diffstat (limited to 'testdata/beku_test.git/hooks/commit-msg.sample')
-rwxr-xr-xtestdata/beku_test.git/hooks/commit-msg.sample24
1 files changed, 24 insertions, 0 deletions
diff --git a/testdata/beku_test.git/hooks/commit-msg.sample b/testdata/beku_test.git/hooks/commit-msg.sample
new file mode 100755
index 0000000..b58d118
--- /dev/null
+++ b/testdata/beku_test.git/hooks/commit-msg.sample
@@ -0,0 +1,24 @@
+#!/bin/sh
+#
+# An example hook script to check the commit log message.
+# Called by "git commit" with one argument, the name of the file
+# that has the commit message. The hook should exit with non-zero
+# status after issuing an appropriate message if it wants to stop the
+# commit. The hook is allowed to edit the commit message file.
+#
+# To enable this hook, rename this file to "commit-msg".
+
+# Uncomment the below to add a Signed-off-by line to the message.
+# Doing this in a hook is a bad idea in general, but the prepare-commit-msg
+# hook is more suited to it.
+#
+# SOB=$(git var GIT_AUTHOR_IDENT | sed -n 's/^\(.*>\).*$/Signed-off-by: \1/p')
+# grep -qs "^$SOB" "$1" || echo "$SOB" >> "$1"
+
+# This example catches duplicate Signed-off-by lines.
+
+test "" = "$(grep '^Signed-off-by: ' "$1" |
+ sort | uniq -c | sed -e '/^[ ]*1[ ]/d')" || {
+ echo >&2 Duplicate Signed-off-by lines.
+ exit 1
+}